3.21.4 - 10 March 2026
- Fix: This update addressed a security bug. Props to Patchstack for privately reporting it to our team. Please make sure you are using the latest version on your website.

3.21.3 - 16 February 2026
- Fix: Interactive Parallax on mouse hover is not working on Firefox.

3.21.2 - 28 October 2025
- Fix: This update addressed a security bug. Props to Patchstack for privately reporting it to our team. Please make sure you are using the latest version on your website.

3.21.1 - 15 July 2025
- Fix: This update addressed a security bug. Props to Patchstack for privately reporting it to our team. Please make sure you are using the latest version on your website.

3.21.0 - 1 July 2025
- Improvement: Revamped User Interface
- Improvement: Improved Accessibility Compliance through out the Plugin.
- Fix: Info List - Resolved rendering issues for both icon listing types in Frontend Editor.
- Fix: Interactive banner - Resolved description not visible on the front-end.
- Fix: Hotspot: Global undefined error when the module is used for first time.

3.20.3 - 22 April 2025
- Fix: Resolved the issue for function _load_textdomain_just_in_time was called incorrectly in WP 6.8.

3.20.2 - 20 March 2025
- Fix: Advanced Tab - Resolved HTML rendering issue.

3.20.1 - 19 March 2025
- This update addressed a security bug. Please make sure you are using the latest version on your website.

3.20.0 - 18 February 2025
- New: Added NPS Survey to gather your valuable feedback for Ultimate Addons for WPBakery Page Builder.
- Improvement: Advanced Carousel - Corrected ARIA reference for better accessibility.

3.19.26 - 29 January 2025
- Improvement: Improved code quality syntax and security checks for better coding standards and practices.
- Fix: Resolved "wp_add_inline_style" notice and ensured proper CSS application without affecting functionality.

3.19.25 - 24 December 2024
- Improvement: Improved codebase for improved security.
- Fix: Theme customizer style conflict.

3.19.24 - 11 December 2024
- Fix: License activation issue.

3.19.23 - 28 November 2024
- Improvement: Fixed security audit issues.
- Fix: Google Fonts are not loading correctly for font style.
- Fix: Hotspot - Tooltipster notice related to one or more tooltips attached to same element.
- Fix: Info Banner - Resolved HTML rendering issue.

3.19.22 - 18 July 2024
- Fix: Selected URL link not redirecting correctly in some modules.
- Fix: Team - Resolved the HTML rendering issue on the UI for social links.

3.19.21 - 11 July 2024
- Hardened the security of plugin. Please make sure you are using the latest version on your website. 

3.19.20 - 8 July 2024
- This update addressed a security bug. Props to Wordfence for privately reporting it privately to our team. Please make sure you are using the latest version on your website. 
- Improvement: Compatibility with WordPress VIP Go rules.
- Improvement: Compatibility with WordPress version 6.6. 
- Improvement: Compatibility with the PHP version 8.3
- Improvement: Countdown - Accessibility error corrected. 
- Fix: Fancy text - Loop setting not working correctly when disable.
- Fix: Modal Box - Added check to prevent fatal error when opacity is set to null.

3.19.19 - 19 October 2023
- Fix: Interactive Banner - Resolved HTML rendering issue.
- Fix: Google Maps - Resolved HTML rendering issue.

3.19.18 - 22 September 2023
- Improvement: Added nonce checks to prevent exploitation on Google Map API key settings. Props to Patchstack for privately reporting it to our team.
- Fix: Google Maps - Map marker pop-up window correctly renders HTML text and links.
- Fix: Google Maps - Styling element settings to display the correct Google Map style theme.
- Fix: Content Box - The hover color changes correctly when added with an Expandable section.
- Fix: Advance Tab - Tab color to display correctly on default.

3.19.17 - 24 August 2023
- Fix: Plugin automatic update issue fixed.

3.19.16 - 24 August 2023
- Improvement: Compatibility with the WordPress version 6.3
- Improvement: Compatibility with the PHP version 8.2
- Improvement: Expandable Section - Keyboard accessibility while navigating through the expandable section.
- Fix: Advanced Carousel - Fixed dot navigation freezing issue during carousel transitions.
- Fix: Fancy text - The default speed of Fancy text rendering slow on the UI.
- Fix: Fancy text - The slide-up effect and break sentences not working properly.
- Fix: Flip Box - Resolved HTML layout rendering issue.
- Fix: Info List - Issue where the font-size was not correctly reflecting when added.
- Fix: Sticky Section - Resolved the 'Stick Behaviour' functionality on UI.

3.19.15 - 13 July 2023
- Improvement: Enhancing security by preventing the exploitation of Shortcode attributes. Props to Patchstack for privately reporting it to our team.
- Improvement: Advanced Carousel - Added correct accessibility ARIA labels for the slider, with proper accessible names.
- Improvement: Counter - Assigned unique ID values to the counter-div.

3.19.14 - 6 January 2023
- Improvement: Handled jQuery deprecated functions.
- Fix: PHP 8.x compatibility.

3.19.13 - 28 November 2022
- Improvement - Fonts related warning in google page speed insights due to custom fonts.
- Fix: Customizer layout breaks due to conflict with astra pro plugin.

3.19.12 - 25 Aug 2022
- Improvement: Compatibility with the WordPress 6.0
- Fix: Fonts are not loading in the Google Font Manager tab.
- Fix: The row background image scroll effect does not work on mobile device properly.
- Fix: Icon image is not visible in Info table element.
- Fix: A non-numeric value encountered error coming from Modal box element.

3.19.11 - 22 July 2021
- Improvement: Compatibility with the WordPress 5.8
- Fix: Advanced Carousel element not working properly.
- Fix: The Price Box element is not showing horizontally.
- Fix: Hotspot module styling options are not applying properly.
- Fix: Functional code is showing when the interactive banner is used with the Advanced carousel.

3.19.10 - 04 June 2021
- Improvement: Compatibility with the latest JavaScript and CSS standard rule.
- Improvement: Added the prefix to all the PHP function and class name to avoid future conflicts.
- Improvement: Added the prefix to the global variable, script and style handlers.
- Fix: Fixed the PHP error foreach() argument must be of type array|object.
- Fix: Fixed the PHP notice undefined index into the google font manager.

3.19.9 - 18 Feb 2021
- Improvement : Updated the Smooth-scroll library.
﻿- Fix : Ultimate Icon conflict issue with Yoast SEO.
﻿- Fix : Console error unable to preventDefault inside passive event listener due to the target being treated as passive.
﻿- Fix : Console error cannot read property 'msie' of undefined.
﻿﻿﻿﻿- Fix : Youtube video background is not working on MacOSX BigSur.﻿﻿﻿﻿
﻿- Fix : Console error cannot read property '1' of null.

3.19.8 - 12 Dec 2020
- Improvement: Shortcode compatibility with PHP 8.0 – Deprecated: Function ultimate_wrap_shortcode_in_div().
﻿- Fix: Deprecated jquery issue into Interactive Mouse Parallax row background after WordPress - 5.6
﻿- Fix: Console warning jQuery.browser is deprecated after WordPress - 5.6
﻿- Fix: Console warning indexOf is not a function after WordPress - 5.6
﻿- Fix: Console warning jquery-fn-load is deprecated for below elements after WordPress - 5.6
﻿	- Heading
﻿	- Countdown
﻿	- Creative-link
﻿	- Dual-Button
﻿	- Filp-Box
﻿	- iHover
﻿	- Info-banner
﻿	- Info-Box
﻿	- Info-circle
﻿	- Modal popup
﻿	- Team Module
﻿	- Content Box
﻿	- Image separator
﻿	- Google Map
﻿	- Advanced carousel
﻿
﻿- Fix: Console warning pseudo-event is deprecated for below modules after WordPress - 5.6
﻿	- Advanced Button
﻿	- Flip-Box
﻿	- Interactive Banner

3.19.7 - 09 Nov 2020
- Improvement: Updated the jparallax.js library for the parallax effect.
﻿- Improvement: Updated the strings into the backend.
﻿- Fix - Console warning jquery-fn-load-is-deprecated.
﻿- Fix - Interactive Mouse Parallax row background not working.
﻿- Fix - Typography is not applied to prefix into the Fancy text element.

3.19.6 - 12 Aug 2020
- Improvement: Compatibility to WordPress 5.5.
- Fix: Google Fonts are not loading into the Google Font Manager tab for WordPress 5.5.
- Fix: Upload the custom icon support is not working for WordPress 5.5.
- Fix: Save button functionality is not working for the elements with the WordPress 5.5.
- Fix: Switch buttons of the Element Tab and Debug Tab are not working with the WordPress 5.5.

3.19.5 - 16 June 2020
- New: Users can now share non-personal usage data to help us test and develop better products. ( <a href="https://store.brainstormforce.com/usage-tracking/?utm_source=changelog&utm_medium=changelog&utm_campaign=usage_tracking" target="_blank" rel="noopener">Know More</a> )
﻿- Fix: Fixed the flip-box background overlapping issue into firefox.
﻿- Fix: Fixed the duplicate ID issue into the Counter element.
﻿﻿﻿﻿- Fix: Fixed the PHP notice issue with the PHP 7.4﻿﻿﻿﻿
﻿- Fix: Breaking the UI for the video element while using the Vimeo link.
﻿- Fix: Fixed the PHP notice ﻿trying to access array offset on the value of type bool﻿﻿﻿﻿.﻿

3.19.4 - 12 March 2020
- Improvement: Updated Dual Color Heading element code for WPML compatibility.
- Fix: PHP Notice of $icon_img variable is not defined.
- Fix: Interactive Banner Captions come over the sticky header while scrolling.
- Fix: PHP Notice of $img_width variable is not defined.
- Fix: The hover text color of button2 stopped working for Dual button.
- Fix: PHP Notice of $icon_size variable is not defined.
- Fix: Rendering issue when background is not set for flip-box.
- Fix: PHP Notice of $icon_border_radius variable is not defined.
- Fix: Update the strings inside the modules.
- Fix: PHP Notice of $icon_border_spacing variable is not defined.

3.19.3 - 20 Feb 2020
- Improvement: Compatibility with latest WordPress PHP_CodeSniffer rules.

3.19.2 - 03 Feb 2020
- Improvement: Hardened the security of the plugin.

3.19.1 - 22 Jan 2020
- Security Fix: Cross-site scripting (XSS) vulnerability.

3.19.0 - 30 July 2019
- New: Introducing Dual Color Heading Element.
- Improvement: Added the Extra class option for the Hotspot item.
- Improvement: Update WPML XML file for Compatibility.
- Improvement: Update the string as an Element instead of Modules in backend settings.
- Fix: PHP Notice of $ub variable is not initialized.
- Fix: Hotspot glow animation color is not working.
- Fix: PHP Warning in Team element appearing on the front end.
- Removed purchase key License activation method as the API for this is now being deprecated by Envato.

3.18.0 - 18 Feb 2019
- New: Introduce Ribbon element.
- Improvement: Added the animation option for a marker in Google Map.
- Fix: Advanced Carousel rendering issue when page refresh.
- Fix: PHP Notice Undefined license-form-method variable.

3.17.1 - 6 Dec 2018
- Improvement: Added Text transform option for Fancy text.
- Improvement: Update WPML xml file for Compatibility.
- Improvement: Added license key purchase form button in debug screen.
- Fix: Spacing issue in Fancy text.
- Fix: Advanced Carousel doesn't slide properly with one at a time option on Tablet and Mobile devices.

3.17.0 - 29 Oct 2018
- New: Introduce Video element.
- Improvement: Toolip will display in case of link in Just Icon.
- Fix: Fancy Text not consistent in slide up option.
- Removed purchase key License activation method as the API for this is now being deprecated by Envato.

3.16.26 - 27-Sept-2018
- Improvement: Added Border radius option for Flip Box.
- Fix: Advanced Tab collapsed when the value is not set for the Active tab.
- Fix: Control option not working when Load script globally option is enabled in the hosted video.
- Fix: Youtube video not working when the Viewport option is enabled.

3.16.25 - 22-Aug-2018
- Improvement: Added Modal on menu option in Debug setting.
- Improvement: Added Description color option for Flip Box.
- Improvement: Updated YTplayer JS library for YouTube video.
- Improvement: Updated fancy text element code for WPML compatibility.
- Fix: Content visibility issue on mobile device in Advanced tab on accordion mode.
- Fix: CSS duplication issue on resize in dual button element.
- Fix: Timeline position issue in RTL condition.
- Fix: Advanced carousel show slide issue in tab and mobile.

3.16.24 - 28-may-2018
- Improvement: Updated registration form popup for updater with GDPR Compliance.
- Improvement: Changed license to GPL v2.

3.16.23 - 15-may-2018
- Improvement: Added post/page title select option for headings.
- Improvement: Added div, paragraph and span tag options with heading tags for Timeline.
- Improvement: Added custom JS option on click of the advanced button.
- Fix: Advanced Tabs accordion issue on default active tab.
- Fix: Set false to PauseOnFocus in advance carousel settings.
- Fix: Flipbox visibility issue while using custom height option.

3.16.22 - 11-April-2018
- Improvement: Updated page builder name as WPBakery Page Builder instead of visual composer.
- Improvement: Added div, paragraph and span tag options with heading tags for package title and for subheading in Info table.
- Improvement: New registration form popup for updater.
- Improvement: Added div, paragraph and span tag options with heading tags for list item title in Info list.
- Improvement: Added Focus on select option on advanced carousel.
- Improvement: Improve UI.
- Fix: Rel Attribute option space issue.
- Fix: Icon not uploaded due to server issue.
- Fix: Advanced tab js causing issue in IE.
- Fix: Flipbox module animation issue in firefox browser.
- Fix: Info circle item animation issue in different Browsers while initial load.

3.16.21 - 3-January-2018
- Improvement: Added div, paragraph and span tag options with heading tags for package title and for subheading in Price Box.
- Fix: Conflict with venus theme function name.
- Fix: Counter in Module's list have different name on page element list.
- Fix: Dual button height issue on First loading with Advanced Tab.
- Fix: Advanced Tabs ID does not work in URL.
- Fix: HTML validation error in counter element.
- Fix: RTL issue in effect 18 of ihover element.
- Fix: Rel Attribute option is not working in advance button.
- Fix: Space issue in anchor tag attribute.
- Fix: Change the labels from optimized to combined in script & style tab and separator instead of seperator in heading element.

3.16.20 - 21-November-2017
- Improvement: Added div, paragraph and span tag options with heading tags for title in Info-banner.
- Improvement: Update WPML xml file for Compatibility.
- Fix: Advanced Tab Active Tab option issue.
- Fix: WPBakery Page Builder map element has issue with advanced tabs.
- Fix: Fancy text issue with special character(&) in string.
- Fix: Info circle connector alignment issue in RTL condition.
- Fix: Info circle item animation issue in Safari Browser.
- Fix: Modal Box - Close Modal On Overlay Click and ESC not working when selector option is used.
- Fix: Info-circle border not applied properly in safari browser.
- Fix: Interactive banner2 link redirect issue in touch devices.
- Fix: Toggle button issue while using Visual Composer starter theme.

3.16.19.1 - 13-November-2017
- Fix: Row background pattern images are not showing in effect tab.

3.16.19 - 6-November-2017
- Improvement: Added info list border type option.
- Improvement: Optimize plugin code and improved performance.
- Improvement: Added padding option for info-circle item.
- Improvement: Added time delay option for redirecting the links on touch devices in interactive banner2.
- Fix: Info circle clipped at bottom / top is not working properly.
- Fix: Info circle image alignment issue.
- Fix: Advanced Tab content height issue on First loading with animation style.
- Fix: Anchor tag link and tooltip issue in Just Icon.
- Fix: Anchor tag link issue in Icon.
- Fix: Timeline issue without timeline item disappear.
- Fix: Js error in row background.
- Fix: Smooth Scroll issue in Chrome Browser.
- Fix: Dual button getting collapse in Advanced Tabs.

3.16.18 - 20-September-2017
Security Fix: A cross-site scripting (XSS) vulnerability was discovered in html links, WordPress core has patched it's vulnerability in 4.8.2 release and we've also fix it for Ultimate Addons for Visual Composer.

3.16.17 - 13-September-2017
- Improvement: Added modal Close icon design feature.
- Improvement: Added modal popup close on ESC key.
- Improvement: Added hover color option for button in Modal.
- Improvement: Added modal hide feature on page load for mobile/tablet devices.
- Improvement: Advance Tab navigation icon for accordion updated.
- Fix: Need to change CSS for pan style in Info banner element.
- Fix: Info circle responsive issue.

3.16.16 - 29-August-2017
- Improvement: Advanced Tab ID is now editable.
- Improvement: Link markup condition for team element need improvement.
- Improvement: Added image alignment option for image in image separator.
- Fix: Row separator tilt left right issue.
- Fix: Info-Circle does not include image in description area.
- Fix: Info-Circle animation not working properly.
- Fix: Hosted video background height issue.
- Fix: Video background placeholder images do not show up after video completes.
- Fix: Timeline right side item spacing issue.
- Fix: Timeline has html markup issue and point issue.
- Fix: Scripts Loading issue in Carousel.
- Fix: Scripts Loading issue in Fancy text.

3.16.15 - 16-August-2017
- Improvement: Added tag options for titles in Flipbox.
- Improvement: iHover style addition.
- Fix: Info List icon position in RTL should not change.
- Fix: Fancy text slide up effect is not working in the Advanced tab.
- Fix: Advanced carousel dot navigation color option is not working.
- Fix: Dual button getting collapse in expandable section.
- Fix: Carousel loading issue in tabs.
- Fix: Interactive banner-2 title alignment issue.
- Fix: iHover style not working in Internet Explorer.

3.16.14.1 - 11-August-2017
- Fix: Element converting into text-blocks.

3.16.14 - 1-August-2017
- Improvement: Added div, paragraph and span tag options with heading tags for title in modules.
- Improvement: Interactive banner added Title tags option.
- Improvement: iHover - added Title tags option.
- Improvement: Compress plugin images.
- Fix: Timeline issue with the link.
- Fix: Info box alignment issue with icon at right with heading.
- Fix: Dual button font size and line height option not working.
- Fix: Hotspot RTL Compatibility.
- Fix: Just icon tooltip text is not working.
- Fix: Fatal error for redeclaration class in modules.
- Fix: Advanced tabs scroll issue while click on tab.

3.16.13 - 18-July-2017
- Improvement: Optimize all the plugin code.
- Improvement: Provide filters for theme authors to disable enqueing google fonts in front end.
- Fix: Flipbox flip not working on some of the websites.

3.16.12 - 4-May-2017
- Fix: PHP Warning in font manager appearing on front end for some users.

3.16.11 - 29-Apr-2017
- Improved overall security of the plugin by added sanitization wherever required, All the Ajax actions are now checked for user capabilities and nounce to harden the security.
- Fix: Dual button not working properly for the second style.
- Fix: WooCommere compatibility for version v3.0.4.

3.16.10 - 07-Apr-2017
- Fix: Google Fonts Manager loading fonts with http instead of https in the preview.
- Fix: Google Fonts URL returning 404 if the generated URL had duplicate '|' character.
- Fix: JavaScript error on WooCommerce v3.0 product pages.
- Fix: Option disable parallax on mobile not working.
- Fix: Info list aligning besides each other instead of one below other.

3.16.9 - 07-Mar-2017
- Fix: Token invalid error appearing for some users when activating the license. We apologize for the inconvenience.
- Fix: Dual button icon images not aligned to center.
- Fix: Dual button second button linking to the first buttons link.
- Fix: Dual button first button background size option not working when "Design your own" option is selected.
- Fix: Advanced Tabs causing Javascript errors on pages with anchors with # links.
- Fix: Advanced button "rel" option not working.
- Fix: Some users having issues with appear animations not triggering correctly when the row/element is in the viewport.

3.16.8 - 20-Feb-2017
- New: Added WPML Compatibility.
- New: Option to pause on hover and center mode in Advanced carousel
- New: Option to open selected tab by providing tab index number.
- New: Option for title alignment in expandable section element.
- New: Added margin/padding options for highlight box.
- New: Option to select Zoom control position in Google maps element.
- New: Added Typography option for Countdown.
- New: All new license activation method to activate license key with just one click.
- Improvement: Added aria labels for Next/Prev buttons in Advanced Carousel.
- Improvement: RTL Support for All the elements.
- Improvement: Rel and Title tag for all the links in all elements.
- Improvement: Maps - Added option to enable/disable dragging effect on the desktop.
- Improvement: Info Box - Added option to select heading tags for the title.
- Improvement: Modal Box - Added support for hosted videos in the modal box, Add any video with WordPress media selector and Select "Hosted video" in option What is this video about.
- Improvement: Optimized images in the plugins package.
- Fixed: Ultimate Addons menu not being registered in some multisite environments.
- Fixed: JavaScript files not being loaded on pages even if shortcode was present on a page.
- Fixed: Animation effects in advanced carousel not working.
- Fixed: Interactive banner 2 - Multiple interactive banners opening links in new tab, each link did not open a new tab, rather loaded the page in the same new tab.
- Fixed: Info list - List alignment set to right breaks the content alignment to enter.
- Fixed: Disable Parallax on mobile option not working.
- Fixed: Insufficient memory error when activating the plugin from WP-CLI.
- Fixed: Flipbox center aligned not working on mobile devices.

3.16.7 - 04-Aug-2016
- Fixed: Appear animation conflict causing pages to creash in salient theme.
- Fixed: Flip boxes not working when added inside advanced carousel on mobile phones.
- Fixed: Info list causing descriptions not aligned in the center of adjacent icons.
- Fixed: Appear animation breaking for some users.
- Updaed slick js to latest version which fixes compatibility issues in Ultimate Carousel.
- Lots of minor bug fixes and browser compatibility fixes.

3.16.6
- Fixed: Font Icons - SSL issue for $_SERVER[HTTPS] failing
- Fixed: Icon Manager - Font zip are not showing after being uploaded
- Fixed: Icon Manager - Filetype x-zip allowed to upload
- Fixed: Advacned Button - Animation issue while background image applied
- Fixed: Video backgrounds - Safari browser alignment issue
- Improvement: Google Maps - Changed Google Map policy support to new domains with API key required - http://bsf.io/google-map-api-key

3.16.5
- Fixed: PHP 5.2 fatal error for transient fallback

3.16.4
- Fixed: Video Backgrounds - VC stretch row and full height conflict
- Fixed: Hosted Video background - JS console error
- Fixed: IB 2 - Style 11 iOS issue
- Fixed: Image param - content pass as array instead string
- Fixed: Hotspot - Misalignment
- Fixed: Row Backgrounds - Image separator conflict with full height option
- Fixed: Admin - Redux CSS conflicts with UAVC
- Fixed: Timeline - Backend structure break due image alignment
- Fixed: Multiple video backgrounds - Poster images not showing on mobile devices
- Improvement - Advanced Tabs - Responsive accordion scroll to container on open tab option - http://bsf.io/lmde8
- Improvement -  Advanced Button - Inline alignment option added to display buttons inline - http://bsf.io/bvkn4
- BSF Core v1.17 - With fallback to W3 Total Cache's deleting transients on every page reload
